package mcInventory
{
	function serverCmdPlantBrick( %cl )
	{
		serverCmdCancelBrick( %cl );
	}
	
	function serverCmdInstantUseBrick( %cl, %db )
	{
		if ( !isObject( !%db.isMC ) )
		{
			%db = -1;
		}
		
		parent::serverCmdInstantUseBrick( %cl, %db );
	}
	
	function serverCmdBuyBrick( %cl, %slot, %db )
	{
		if ( !%db.isMC )
		{
			%db = -1;
		}
		
		parent::serverCmdBuyBrick( %cl, %slot, %db );
	}
};

activatePackage( "mcInventory" );